package cpcns.dingZhi.dbf.service.impl;

package .tmp;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.dbf.dao.DDBFJiLuDao;
import cpcns.dingZhi.dbf.model.DDBFJiLu;
import cpcns.dingZhi.dbf.service.DDBFJiLuService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("ddbfJiLuService")
public class DDBFJiLuServiceImpl extends DangAnBaseServiceImpl<DDBFJiLu> implements DDBFJiLuService {
  @Autowired
  private DDBFJiLuDao ddbfJiLuDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select hangBiaoShi,caoZuoRenBiaoShi,caoZuoRenMingCheng,IP,wangKaBiaoShi,kaiShiShiJian,jieSuShiJian,moBanMingCheng,muBiaoBiaoMing,yuanWenLeiXing,jiLuZhuangTai,miaoShu,beiZhu,beiYongZi,beiYongZiFu from ")).append(table).append(" where 1=1 ");
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object menLei = map.get("menLei");
      if (menLei != null && menLei != "") {
        sql.append(" and menLei =:menLei");
        tp.put("menLei", menLei);
      } 
      CommStatic.zhuHeQueryJieXi_map(sql, tp, para.toString(), (String)map.get("zuHeType"), getDataType());
    } else {
      para = map.get("caoZuoRenMingCheng");
      if (para != null && para != "") {
        sql.append(" and caoZuoRenMingCheng like :caoZuoRenMingCheng");
        tp.put("caoZuoRenMingCheng", "%" + para + "%");
      } 
      para = map.get("muBiaoBiaoMing");
      if (para != null && para != "") {
        sql.append(" and muBiaoBiaoMing like :muBiaoBiaoMing");
        tp.put("muBiaoBiaoMing", "%" + para + "%");
      } 
      para = map.get("moBanMingCheng");
      if (para != null && para != "") {
        sql.append(" and moBanMingCheng like :moBanMingCheng");
        tp.put("moBanMingCheng", "%" + para + "%");
      } 
    } 
    return this.ddbfJiLuDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
}
